/* Standalone test code to check VETROC at a basic level */

/* R. Michaels  May 2015  */


#include <stdio.h>
#include <string.h>
#include <stddef.h>
#include <pthread.h>
#include <unistd.h>
#include "jvme.h"
#include "vetrocLib.h"


#define VETROC_SLOT 3


int main(int argc, char *argv[]) {

  int vetroc_addr, iflag, nvetroc;

  printf("argc %d \n",argc);


  vmeOpenDefaultWindows();
  vmeBusLock();

  vetroc_addr = (VETROC_SLOT<<19);

/* 0 = software synch-reset, software triggers, internal clock */
  iflag = 0;  
  nvetroc = 0;

  nvetroc = vetrocInit((VETROC_SLOT<<19), 0x80000, 1, iflag);

  printf("num vetroc found %d \n",nvetroc);

  vmeBusUnlock();
  vmeCloseDefaultWindows();

  return 0;

}
